From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/procs/
Date: Mon, 17 Jun 2024 09:39:31 +0000 (UTC) [thread overview]
Message-ID: <1718617020.fe015b2c6b786bb404087248673686d3666c1e7e.chewi@gentoo> (raw)
commit: fe015b2c6b786bb404087248673686d3666c1e7e
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 14 09:46:49 2024 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Jun 17 09:37:00 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe015b2c
sys-process/procs: Use new cargo_target_dir helper
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
sys-process/procs/procs-0.14.4.ebuild | 8 ++++----
sys-process/procs/procs-0.14.5.ebuild | 6 +++---
2 files changed, 7 insertions(+), 7 deletions(-)
diff --git a/sys-process/procs/procs-0.14.4.ebuild b/sys-process/procs/procs-0.14.4.ebuild
index ed9880991d01..fd08a1055ff8 100644
--- a/sys-process/procs/procs-0.14.4.ebuild
+++ b/sys-process/procs/procs-0.14.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023 Gentoo Authors
+# Copyright 2023-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Autogenerated by pycargoebuild 0.6.3
@@ -280,14 +280,14 @@ QA_FLAGS_IGNORED="usr/bin/procs"
src_install() {
cargo_src_install
- target/$(usex debug debug release)/procs --gen-completion bash || die
+ "$(cargo_target_dir)"/procs --gen-completion bash || die
newbashcomp procs.bash procs
- target/$(usex debug debug release)/procs --gen-completion zsh || die
+ "$(cargo_target_dir)"/procs --gen-completion zsh || die
insinto /usr/share/zsh/site-functions
doins _procs
- target/$(usex debug debug release)/procs --gen-completion fish || die
+ "$(cargo_target_dir)"/procs --gen-completion fish || die
insinto /usr/share/fish/vendor_completions.d
doins procs.fish
}
diff --git a/sys-process/procs/procs-0.14.5.ebuild b/sys-process/procs/procs-0.14.5.ebuild
index a306320fc092..5447e7e7fc4c 100644
--- a/sys-process/procs/procs-0.14.5.ebuild
+++ b/sys-process/procs/procs-0.14.5.ebuild
@@ -308,14 +308,14 @@ QA_FLAGS_IGNORED="usr/bin/procs"
src_install() {
cargo_src_install
- target/$(usex debug debug release)/procs --gen-completion bash || die
+ "$(cargo_target_dir)"/procs --gen-completion bash || die
newbashcomp procs.bash procs
- target/$(usex debug debug release)/procs --gen-completion zsh || die
+ "$(cargo_target_dir)"/procs --gen-completion zsh || die
insinto /usr/share/zsh/site-functions
doins _procs
- target/$(usex debug debug release)/procs --gen-completion fish || die
+ "$(cargo_target_dir)"/procs --gen-completion fish || die
insinto /usr/share/fish/vendor_completions.d
doins procs.fish
}
next reply other threads:[~2024-06-17 9:39 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-17 9:39 James Le Cuirot [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-14 5:26 [gentoo-commits] repo/gentoo:master commit in: sys-process/procs/ Sam James
2024-10-04 19:41 Sam James
2024-10-04 1:57 Sam James
2024-10-04 1:57 Sam James
2024-03-08 23:44 Sam James
2023-12-28 3:43 Sam James
2023-11-25 4:49 Sam James
2023-11-25 4:49 Sam James
2023-10-21 17:46 Sam James
2023-10-20 3:49 Sam James
2023-10-06 16:04 Sam James
2023-06-19 1:13 Sam James
2023-06-16 0:18 Sam James
2023-06-16 0:04 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1718617020.fe015b2c6b786bb404087248673686d3666c1e7e.chewi@gentoo \
--to=chewi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox